Bug 218030 - (CVE-2006-6120) koffice: update to 1.6.1
koffice: update to 1.6.1
Product: Fedora
Classification: Fedora
Component: koffice (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened, Security
Depends On: 217959
  Show dependency treegraph
Reported: 2006-12-01 08:09 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-06 10:18:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-12-01 08:09:37 EST
koffice-1.6.1 update blockers.

So, far, only GraphicsMagick bug #217959
Comment 1 Jason Tibbitts 2006-12-01 10:42:18 EST
Note that the koffice release notes include the following:

KPresenter Import Filter for PowerPoint

    * There is a security issue in the import filter for MS Powerpoint, that is
fixed with this release. Every KOffice user should upgrade to 1.6.1 for this
reason alone.

so this update has security implications.  I can find no CVE at this time.
Comment 2 Rex Dieter 2006-12-01 10:54:54 EST
yucky, I'm working on the koffice-1.6.1 update, I'll try to expedite things.
Comment 3 Rex Dieter 2006-12-01 14:18:18 EST
So far, so good, devel(fc7) branch build (almost) done:
Comment 4 Rex Dieter 2006-12-01 18:51:29 EST
Queue'd builds for 
koffice/FC-5 (job id: 22771)
koffice/FC-6 (job id: 22772)
koffice-langpacks/devel (job id 22773)
then shortly after buildsys went awol.  ??  

Will recheck buildsys status later tonight, or tomorrow morning.
Comment 5 Rex Dieter 2006-12-05 15:26:53 EST
All done.
Comment 6 Ville Skyttä 2006-12-06 07:32:03 EST
The security issue is CVE-2006-6120.  For the record, FC-4 (koffice 1.6.0) is
still most likely vulnerable.
Comment 7 Rex Dieter 2006-12-06 09:35:27 EST
OK, we can do FC-4 too, reopening...
Comment 8 Rex Dieter 2006-12-06 10:18:36 EST
koffice-1.6.1-1.fc4 build queue'd (job id 23038)

Note You need to log in before you can comment on or make changes to this bug.